#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class QGridLayout;
class QLabel;
class QLineEdit;
class Pregunta;

const int alto = 200;
const int ancho = 400;

class MainWindow : public QMainWindow{

    Q_OBJECT

private:

    QGridLayout* editLayout;
    QLabel* etiquetaPregunta;
    //QLabel* etiquetaPuntaje;
    QLineEdit* respuestaNumerica;
    QLineEdit* respuestaTextual;

public:

    MainWindow(QWidget* parent = 0);
    ~MainWindow();
    void mostrarPregunta(Pregunta* pregunta/*, int puntaje*/);

private:

    void crearPartida();
    void limpiarVentana();

};
#endif
